﻿using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;
using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace SilverlightApplicationForVincent
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            UpdateSize();
        }

        private void DisplayASimpleMap_Loaded(object sender, RoutedEventArgs e)
        {
            HtmlPage.RegisterScriptableObject("MainPage", this);

            Map1.MapUnit = GeographyUnit.DecimalDegree;

            WorldMapKitWmsSilverlightOverlay baseOverlay = new WorldMapKitWmsSilverlightOverlay();
            Map1.Overlays.Add(baseOverlay);

            Map1.CurrentExtent = new RectangleShape(-135.7, 83.6, 113.5, -53);
        }

        [ScriptableMember()]
        public void UpdateSize()
        {
            Map1.Width = (double)HtmlPage.Document.Body.GetProperty("scrollWidth");
            Map1.Height = (double)HtmlPage.Document.Body.GetProperty("scrollHeight");
        }
    }
}
